### Method

# GLib KeyFile get_locale_for_key

since: 2.56

#### Declaration

    gchar*
    g_key_file_get_locale_for_key (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      const gchar* locale
    )

#### Description

Returns the actual locale which the result of `g_key_file_get_locale_string()` or `g_key_file_get_locale_string_list()` came from.

If calling `g_key_file_get_locale_string()` or `g_key_file_get_locale_string_list()` with exactly the same `key_file`, `group_name`, `key` and `locale`, the result of those functions will have originally been tagged with the locale that is the result of this function.

Available since: 2.56

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  A locale identifier or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The locale from the file, or `NULL` if the key was not found or the entry in the file was was untranslated.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.